Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 3178 in orxonox.OLD for orxonox/trunk/configure


Ignore:
Timestamp:
Dec 15, 2004, 3:12:12 AM (20 years ago)
Author:
bensch
Message:

orxonox/trunk: Windows is not flexible, reverting last changes.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • orxonox/trunk/configure

    r3177 r3178  
    60106010
    60116011else
    6012   echo "sdl_image not found. falling back to other options"; sdl_image_second_check=yes
     6012  echo "sdl_image not found. falling back to other options"; def_sdl_image=no
    60136013fi
    60146014
    60156015done
    60166016
    6017   if test "$sdl_image_second_check" = yes ; then
    6018 
    6019 for ac_header in SDL_image.h
    6020 do
    6021 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
    6022 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    6023   echo "$as_me:$LINENO: checking for $ac_header" >&5
    6024 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    6025 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    6026   echo $ECHO_N "(cached) $ECHO_C" >&6
    6027 fi
    6028 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    6029 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    6030 else
    6031   # Is the header compilable?
    6032 echo "$as_me:$LINENO: checking $ac_header usability" >&5
    6033 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
    6034 cat >conftest.$ac_ext <<_ACEOF
    6035 /* confdefs.h.  */
    6036 _ACEOF
    6037 cat confdefs.h >>conftest.$ac_ext
    6038 cat >>conftest.$ac_ext <<_ACEOF
    6039 /* end confdefs.h.  */
    6040 $ac_includes_default
    6041 #include <$ac_header>
    6042 _ACEOF
    6043 rm -f conftest.$ac_objext
    6044 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    6045   (eval $ac_compile) 2>conftest.er1
    6046   ac_status=$?
    6047   grep -v '^ *+' conftest.er1 >conftest.err
    6048   rm -f conftest.er1
    6049   cat conftest.err >&5
    6050   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6051   (exit $ac_status); } &&
    6052          { ac_try='test -z "$ac_c_werror_flag"
    6053                          || test ! -s conftest.err'
    6054   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6055   (eval $ac_try) 2>&5
    6056   ac_status=$?
    6057   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6058   (exit $ac_status); }; } &&
    6059          { ac_try='test -s conftest.$ac_objext'
    6060   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6061   (eval $ac_try) 2>&5
    6062   ac_status=$?
    6063   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6064   (exit $ac_status); }; }; then
    6065   ac_header_compiler=yes
    6066 else
    6067   echo "$as_me: failed program was:" >&5
    6068 sed 's/^/| /' conftest.$ac_ext >&5
    6069 
    6070 ac_header_compiler=no
    6071 fi
    6072 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    6073 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
    6074 echo "${ECHO_T}$ac_header_compiler" >&6
    6075 
    6076 # Is the header present?
    6077 echo "$as_me:$LINENO: checking $ac_header presence" >&5
    6078 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
    6079 cat >conftest.$ac_ext <<_ACEOF
    6080 /* confdefs.h.  */
    6081 _ACEOF
    6082 cat confdefs.h >>conftest.$ac_ext
    6083 cat >>conftest.$ac_ext <<_ACEOF
    6084 /* end confdefs.h.  */
    6085 #include <$ac_header>
    6086 _ACEOF
    6087 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    6088   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    6089   ac_status=$?
    6090   grep -v '^ *+' conftest.er1 >conftest.err
    6091   rm -f conftest.er1
    6092   cat conftest.err >&5
    6093   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6094   (exit $ac_status); } >/dev/null; then
    6095   if test -s conftest.err; then
    6096     ac_cpp_err=$ac_c_preproc_warn_flag
    6097     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
    6098   else
    6099     ac_cpp_err=
    6100   fi
    6101 else
    6102   ac_cpp_err=yes
    6103 fi
    6104 if test -z "$ac_cpp_err"; then
    6105   ac_header_preproc=yes
    6106 else
    6107   echo "$as_me: failed program was:" >&5
    6108 sed 's/^/| /' conftest.$ac_ext >&5
    6109 
    6110   ac_header_preproc=no
    6111 fi
    6112 rm -f conftest.err conftest.$ac_ext
    6113 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
    6114 echo "${ECHO_T}$ac_header_preproc" >&6
    6115 
    6116 # So?  What about this header?
    6117 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
    6118   yes:no: )
    6119     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
    6120 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
    6121     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
    6122 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
    6123     ac_header_preproc=yes
    6124     ;;
    6125   no:yes:* )
    6126     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
    6127 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
    6128     { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
    6129 echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
    6130     { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
    6131 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
    6132     { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
    6133 echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
    6134     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
    6135 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
    6136     { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
    6137 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
    6138     (
    6139       cat <<\_ASBOX
    6140 ## ------------------------------------------- ##
    6141 ## Report this to orxonox-dev@mail.datacore.ch ##
    6142 ## ------------------------------------------- ##
    6143 _ASBOX
    6144     ) |
    6145       sed "s/^/$as_me: WARNING:     /" >&2
    6146     ;;
    6147 esac
    6148 echo "$as_me:$LINENO: checking for $ac_header" >&5
    6149 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    6150 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    6151   echo $ECHO_N "(cached) $ECHO_C" >&6
    6152 else
    6153   eval "$as_ac_Header=\$ac_header_preproc"
    6154 fi
    6155 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    6156 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    6157 
    6158 fi
    6159 if test `eval echo '${'$as_ac_Header'}'` = yes; then
    6160   cat >>confdefs.h <<_ACEOF
    6161 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    6162 _ACEOF
    6163 
    6164 else
    6165   echo "sdl_image not found. falling back to other options"; def_sdl_image=no
    6166 fi
    6167 
    6168 done
    6169 
    6170   fi
    6171 fi
    6172 
    6173 
     6017fi
    61746018if test "$def_sdl_image" = "yes"; then
    61756019# checking for SDL_image-lib
     
    62386082     if test "$FOUND_SDL_image" = "yes" ; then
    62396083       LIBS="$LIBS -lSDL_image"
    6240 
    6241 cat >>confdefs.h <<_ACEOF
    6242 #define HAVE_SDL_IMAGE 1
    6243 _ACEOF
    6244 
    62456084     else
    62466085        echo "------------------"
Note: See TracChangeset for help on using the changeset viewer.